#!/bin/bash

#split word-wise and lowercase
while read line || [[ -n "$line" ]]
do
	for word in $line
	do
		echo $word | awk '{print tolower($0)}'
	done
done < "$1" > temp

#remove punctuations
#awk -F'[[:punct:]]' '{print $1}' temp1 > temp2
sed -i 's/^[[:punct:]]*//' temp
sed -i 's/[[:punct:]]*$//' temp

#sort
sort temp > temp1
rm temp

#remove repetitions
prevword=""
while read line || [[ -n "$line" ]]
do
	if [[ $line == $prevword ]]
		then
		prevword=$line
	else
		echo $line
		prevword=$line
	fi
done < temp1
rm temp1